# $Revision: 1.20 $, $Date: 2004/06/30 08:36:27 $
Summary:	Fast data transfer program
Summary(pl):	Program do szybkiego transferu plikw
Name:		pftp
Version:	1.1.6
Release:	3
License:	GPL
Vendor:		Ben Schluricke <pftp@star.trek.org>
Group:		Networking/Utilities
# native URL is http: but we probaably prefer ftp:
# Source0:	http://pftp.prz.tu-berlin.de/%{name}-%{version}.tar.gz
Source0:	ftp://metalab.unc.edu/pub/Linux/system/network/file-transfer/%{name}-%{version}.tar.gz
# Source0-md5:	4f89779b3f7854a1481c6b6d8d927d7a
URL:		http://star.trek.org/~pftp/
Conflicts:	ftp-pftp
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This program transfers data from host to host on command line (within
your telnet sessions). You may copy directories recursively,
send/receive stdin/stdout, use your own filters, set net buffer size,
set bandwidth, accept specified clients, start pftp as a daemon, let
inetd start pftp, send files and directories (including a message
file) to other people on the net, manage the data, test the net
performance, send/receive AUDIO and VIDEO streams via UDP unicasted,
broadcasted, and multicasted etc. pftp supports IPv4 as well as
IPv6/IPng with all of the above mentioned features.

%description -l pl
Ten program przesya dane z jednego hosta na inny. Jest uruchamiany z
linii polece. Pozwala na rekurencyjnie kopiowanie katalogw,
wysyanie/odbieranie standardowego strumienia wejciowego/wyjciowego,
uywanie wasnych filtrw, ustawienie bufora sieciowego, ustawienie
pasma, akceptowanie okrelonych klientw, umoliwia uruchamianie pftp
jako demona, uruchamianie go przez inetd, przesyanie plikw i
katalogw (doczajc plik komunikatu) do innych osb w sieci,
zarzdzanie danymi, testowanie wydajnoci sieci, wysyanie/odbieranie
strumieni dwikowych i wizyjnych po UDP w trybie unicastowym,
broadcastowym i multicastowym itd. pftp wspiera zarwno IPv4 jak i
IPv6/IPng.

%prep
%setup -q

%build
%{__make} CFLAGS="%{rpmcflags}" \
	LIBCRYPT="-lcrypt" \
	HAVE_SHADOW=1 \
	PTHREAD="-DUSE_POSIX_THREAD" \
	LIBPTHREAD="-lpthread"


%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir},%{_sysconfdir}}
%{__make} install \
	PREFIX="$RPM_BUILD_ROOT" \
	BINDIR="$RPM_BUILD_ROOT%{_bindir}" \
	MANDIR="$RPM_BUILD_ROOT%{_mandir}"

install %{name}.conf $RPM_BUILD_ROOT%{_sysconfdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CREDITS README INSTALL
%attr(755,root,root) %{_bindir}/%{name}
%{_mandir}/man1/*
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/%{name}.conf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pftp.spec,v $
Revision 1.20  2004/06/30 08:36:27  tiwek
- more config, now build

Revision 1.19  2003/09/09 10:24:56  ankry
- spaces -> tab

Revision 1.18  2003/08/28 08:20:33  ankry
- cosmetics

Revision 1.17  2003/05/28 13:01:14  malekith
- massive attack: source-md5

Revision 1.16  2003/05/25 06:25:16  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.15  2002/09/17 22:50:24  ankry
- fixed translation, new %%doc, cleaning
- Conflicts: ftp-pftp
- release 2

Revision 1.14  2002/02/22 23:29:34  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/01/31 21:31:04  ankry
- added Group(es/pt_BR)

Revision 1.12  2002/01/27 23:49:16  kloczek
- cosmetics.

Revision 1.11  2002/01/18 02:14:35  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2001/09/30 00:30:45  marcus
- Patch0 is obsolete

Revision 1.9  2001/09/29 23:53:33  marcus
- updated to 1.1.6

Revision 1.8  2001/09/28 14:56:07  ankry
- updated source URL; note: there's version 1.1.6 available (only ?)

Revision 1.7  2001/05/02 21:51:26  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.6  2000/06/09 07:23:46  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/21 20:20:01  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:34  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:55:03  baggins
- translated kloczkish into english

Revision 1.2  1999/11/02 13:30:20  baggins
- cleanup
- macros
- striping binaries
- gziping docs
- CVS tags
- FHS 2.0

Revision 1.1  1999/07/27 11:46:24  misiek
file transfer tool but not ftp
